#### 9.37.1 TIC6X Options

`-march=`arch
  Enable (only) instructions from architecture arch. By default, all instructions are permitted.

  The following values of arch are accepted: `c62x`, `c64x`, `c64x+`, `c67x`, `c67x+`, `c674x`.

`-matomic`
`-mno-atomic`
  Enable or disable the optional C64x+ atomic operation instructions. By default, they are enabled if no `-march` option is given, or if an architecture is specified with `-march` that implies these instructions are present (currently, there are no such architectures); they are disabled if an architecture is specified with `-march` on which the instructions are optional or not present. This option overrides such a default from the architecture, independent of the order in which the `-march` or `-matomic` or `-mno-atomic` options are passed.

`-mbig-endian`
`-mlittle-endian`
  Generate code for the specified endianness. The default is little-endian.